## org.omg.PortableServer.POAManagerPackage
Class AdapterInactiveHelper

    java.lang.Object
      |
      +--org.omg.PortableServer.POAManagerPackage.AdapterInactiveHelper

public class AdapterInactiveHelper
extends java.lang.Object

Helper class for : AdapterInactive

Author:
  OpenORB Compiler

Constructor Summary
`AdapterInactiveHelper()`

Method Summary
`static AdapterInactive` `extract(Any a)` Extract AdapterInactive from an any
`static java.lang.String` `id()` Return the AdapterInactive IDL ID
`static void` `insert(Any a, AdapterInactive t)` Insert AdapterInactive into an any
`static AdapterInactive` `read(InputStream istream)` Read AdapterInactive from a marshalled stream
`static TypeCode` `type()` Return the AdapterInactive TypeCode
`static void` `write(OutputStream ostream, AdapterInactive value)` Write AdapterInactive into a marshalled stream

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AdapterInactiveHelper

    public AdapterInactiveHelper()

Method Detail

### insert

    public static void insert(Any a,
                              AdapterInactive t)

  Insert AdapterInactive into an any
  Parameters:
    `a` - an any
    `t` - AdapterInactive value

### extract

    public static AdapterInactive extract(Any a)

  Extract AdapterInactive from an any
  Parameters:
    `a` - an any
  Returns:
    the extracted AdapterInactive value

### type

    public static TypeCode type()

  Return the AdapterInactive TypeCode
  Returns:
    a TypeCode

### id

    public static java.lang.String id()

  Return the AdapterInactive IDL ID
  Returns:
    an ID

### read

    public static AdapterInactive read(InputStream istream)

  Read AdapterInactive from a marshalled stream
  Parameters:
    `istream` - the input stream
  Returns:
    the readed AdapterInactive value

### write

    public static void write(OutputStream ostream,
                             AdapterInactive value)

  Write AdapterInactive into a marshalled stream
  Parameters:
    `ostream` - the output stream
    `value` - AdapterInactive value